import { CustomScalar } from '@nestjs/graphql';
import { ValueNode } from 'graphql';
declare enum RelativeDateResolution {
    minutes = "minutes",
    hours = "hours",
    days = "days",
    weeks = "weeks",
    months = "months",
    years = "years"
}
declare const RelativeDatePrefix = "last";
declare type RelativeDatePrefixType = typeof RelativeDatePrefix;
declare type RelativeDate = `${RelativeDatePrefixType}-${number}-${RelativeDateResolution}`;
declare type RelativeDateOrAbsoluteDate = number | string | RelativeDate;
export declare const parseRelativeDateFormat: (value: RelativeDate) => {
    resolution: RelativeDateResolution;
    span: number;
};
export declare const isRelativeDateScalar: (value: string) => value is `last-${number}-minutes` | `last-${number}-hours` | `last-${number}-days` | `last-${number}-weeks` | `last-${number}-months` | `last-${number}-years`;
export declare class RelativeDateScalar implements CustomScalar<RelativeDateOrAbsoluteDate, Date> {
    description: string;
    parseValue(value: RelativeDateOrAbsoluteDate): Date;
    serialize(value: Date | string): RelativeDateOrAbsoluteDate;
    parseLiteral(ast: ValueNode): Date;
}
export {};
